Package org.eclipse.cdt.core.cdtvariables

# Interface ICdtVariable

All Known Implementing Classes:
  `CdtVariable`, `SupplierBasedCdtVariableSubstitutor.ResolvedMacro`

public interface ICdtVariable
This interface represents the given build macro Clients may implement or extend this interface.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`VALUE_PATH_ANY`
can hold both file and dir path
`static final int`
`VALUE_PATH_ANY_LIST`
can hold the array of PATH_ANY values
`static final int`
`VALUE_PATH_DIR`
can hold dir path
`static final int`
`VALUE_PATH_DIR_LIST`
can hold the array of dir path values
`static final int`
`VALUE_PATH_FILE`
can hold file path
`static final int`
`VALUE_PATH_FILE_LIST`
can hold the array of file path values
`static final int`
`VALUE_TEXT`
can hold any text string
`static final int`
`VALUE_TEXT_LIST`
can hold the array of text string values

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the macro name
`String[]`
`getStringListValue()`
`String`
`getStringValue()`
`int`
`getValueType()`

## Field Details

### VALUE_TEXT

static final int VALUE_TEXT
can hold any text string

See Also:
  - Constant Field Values

### VALUE_TEXT_LIST

static final int VALUE_TEXT_LIST
can hold the array of text string values

See Also:
  - Constant Field Values

### VALUE_PATH_FILE

static final int VALUE_PATH_FILE
can hold file path

See Also:
  - Constant Field Values

### VALUE_PATH_FILE_LIST

static final int VALUE_PATH_FILE_LIST
can hold the array of file path values

See Also:
  - Constant Field Values

### VALUE_PATH_DIR

static final int VALUE_PATH_DIR
can hold dir path

See Also:
  - Constant Field Values

### VALUE_PATH_DIR_LIST

static final int VALUE_PATH_DIR_LIST
can hold the array of dir path values

See Also:
  - Constant Field Values

### VALUE_PATH_ANY

static final int VALUE_PATH_ANY
can hold both file and dir path

See Also:
  - Constant Field Values

### VALUE_PATH_ANY_LIST

static final int VALUE_PATH_ANY_LIST
can hold the array of PATH_ANY values

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Returns the macro name

### getValueType

int getValueType()

Returns:
  IBuildMacro.VALUE_xxx

### getStringValue

String getStringValue() throws CdtVariableException

Throws:
  `CdtVariableException` - if macro holds StringList-type value

### getStringListValue

String[] getStringListValue() throws CdtVariableException

Throws:
  `CdtVariableException` - if macro holds single String-type value